/* -*- coding: utf-8 -*-
 * :Project:   SoL -- Icons
 * :Created:   dom 19 ott 2008 00:53:18 CEST
 * :Author:    Lele Gaifax <lele@metapensiero.it>
 * :License:   GNU General Public License version 3 or later
 * :Copyright: © 2008, 2009, 2010, 2013, 2014, 2015, 2016, 2018, 2019, 2020 Lele Gaifax
 */

.mp-desktop-start-button-icon {
    background-image: url(../favicon.png);
}

.lit-icon {
    background-image: url(../images/html.png) !important;
}

.help-icon {
    background-image: url(../images/help.png) !important;
}

.info-icon {
    background-image: url(../images/information.png) !important;
}

.laws-icon {
    background-image: url(../images/eye.png) !important;
}

.upload-icon {
    background-image: url(../images/application_get.png) !important;
}

.edit-pwd-icon {
    background-image: url(../images/lock_edit.png) !important;
}

.download-icon {
    background-image: url(../images/application_put.png) !important;
}

.championships-icon {
    background-image: url(../images/cup_gold.png) !important;
}

.championships-shortcut-icon {
    background-image: url(../images/scroll2.png) !important;
}

.clubs-icon {
    background-image: url(../images/rosette.png) !important;
}

.clubs-shortcut-icon {
    background-image: url(../images/signpost.png) !important;
}

.tourneys-icon, .show-tourneys-icon {
    background-image: url(../images/table.png) !important;
}

.tourneys-shortcut-icon {
    background-image: url(../images/grid48x48.png) !important;
}

.tourney-icon {
    background-image: url(../images/bell.png) !important;
}

.players-icon {
    background-image: url(../images/group_edit.png) !important;
}

.players-shortcut-icon {
    background-image: url(../images/users48x48.png) !important;
}

.players-distribution-icon {
    background-image: url(../images/world.png) !important;
}

.ratings-icon {
    background-image: url(../images/chart_bar.png) !important;
}

.ratings-shortcut-icon {
    background-image: url(../images/chart48x48.png) !important;
}

.users-icon {
    background-image: url(../images/user_suit.png) !important;
}

.singles-ranking-icon {
    background-image: url(../images/user.png) ! important;
}

.doubles-ranking-icon {
    background-image: url(../images/group.png) ! important;
}

.women-ranking-icon {
    background-image: url(../images/user_female.png) ! important;
}

.show-tourney-detail-icon {
    background-image: url(../images/bell.png) !important;
}

.icon-plus {
    background-image: url(../images/add.png) ! important;
}

.icon-minus {
    background-image: url(../images/delete.png) ! important;
}

.edit-record-icon {
    background-image: url(../images/application_form_edit.png) ! important;
}

.icon-disk {
    background-image: url(../images/disk.png) ! important;
}

.icon-undo {
    background-image: url(../images/arrow_undo.png) ! important;
}

.icon-cross {
    background-image: url(../images/cross.png) ! important;
}

.add-user-icon {
    background-image: url(../images/user_add.png) ! important;
}

.edit-user-icon {
    background-image: url(../images/user_edit.png) ! important;
}

.dup-users-icon {
    background-image: url(../images/arrow_join.png) ! important;
}

.add-group-icon {
    background-image: url(../images/group_add.png) ! important;
}

.new-turn-icon {
    background-image: url(../images/calendar_add.png) ! important;
}

.pre-countdown-icon {
    background-image: url(../images/hourglass_add.png) ! important;
}

.countdown-icon {
    background-image: url(../images/hourglass.png) ! important;
}

.prize-giving-icon {
    background-image: url(../images/medal_gold_2.png) ! important;
}

.print-icon {
    background-image: url(../images/printer.png) ! important;
}

.replay-icon {
    background-image: url(../images/page_copy.png) ! important;
}

.toggle-by-nation-icon {
    background-image: url(../images/rainbow.png) ! important;
}

.magnify-icon {
    background-image: url(../images/magnifier.png) ! important;
}

.recompute-rating-icon {
    background-image: url(../images/sum.png) ! important;
}

.rated-players-icon {
    background-image: url(../images/group_gear.png) ! important;
}

.rating-chart-icon {
    background-image: url(../images/chart_line.png) ! important;
}

.owner-icon {
    background-image: url(../images/user_suit.png) ! important;
}

.agreed-privacy-icon {
    background-image: url(../images/lock_break.png) ! important;
}

.x-dd-drop-ok-del .x-dd-drop-icon {
    background-image: url(../images/delete.png);
}

.x-dd-drop-ok-add .x-dd-drop-icon {
    background-image: url(../images/add.png);
}

/* Selection */

.x-view-selected {
    border: 1px solid #99bbe8;
}

.mp-desktop-shortcut {
    border: 1px solid transparent;
}

.x-view-over {
    border: 1px solid #dddddd;
}

/* Boards view */

#boards-view .board {
    float: left;
    margin: 4px;
    margin-right: 0;
    padding: 5px;
}

#boards-view .board span {
    display: block;
    overflow: hidden;
    text-align: center;
}

#boards-view span.competitor {
    cursor: pointer;
    border: 1px dotted;
    display: table-cell;
    vertical-align: middle;
    height: 4em;
    width: 120px;
    font-size: 10px;
    background-color: lightcyan;
}

#boards-view .board.mp-dirty-record span.competitor {
    background-color: #ffffa8;
}

#boards-view span.carrom-board {
    margin-left: auto;
    margin-right: auto;
    background-image: url(../images/board.jpg);
    background-repeat: no-repeat;
    background-position: center;
    width: 120px;
    height: 50px;
}

/* Competitors view */

li.user-icon {
    list-style-image: url(../images/user.png);
}

li.fuser-icon {
    list-style-image: url(../images/user_female.png);
}

li.group-icon {
    list-style-image: url(../images/group.png);
}

li.group-error-icon {
    list-style-image: url(../images/group_error.png);
}

#competitors-view ul {
    margin: 2px 0 2px 0;
}

#competitors-view li {
    border-bottom: 1px solid lightgrey;
    padding-bottom: 2px;
}

#competitors-view li:nth-child(even) {
    background-color: #fafafa;
}

#competitors-view .competitor {
    min-height: 16px;
    position: relative;
    padding-right: 24px;
    margin-left: -15px;
}

#competitors-view .competitor .competitor-flag {
    padding-left: 0;
    position: absolute;
    top: 3px;
    right: 1px;
    width: 22px;
    height: 15px;
}

#competitors-view .competitor .player {
    cursor: pointer;
}

.retired-competitor {
    text-decoration: line-through;
}

#competitors-view .mp-dirty-record .player {
    background-color: #ffffa8;
}

#competitors-view .mp-new-record .player {
    background-color: #c8ffc8;
}

#competitors-view .mp-deleted-record .player {
    text-decoration: line-through;
    background-color: red;
}

/* Grid summary */

.x-grid-row-summary .x-grid-cell-inner {
    font-weight: bold;
    font-style: italic;
}

/* Matches view */

a.active-turn {
    border: 1px solid black;
}

.active-turn .x-btn-inner {
    font-weight: bold;
}

.winner1 .c1,
.winner2 .c2,
.winner {
    font-weight: bold;
    color: red;
}

/* Blinking text */

blink {
  -webkit-animation: blink 1s step-end infinite;
  animation: blink 1s step-end infinite
}

@-webkit-keyframes blink {
  67% { opacity: 0 }
}

@keyframes blink {
  67% { opacity: 0 }
}
